DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# IntegerArrayCopy

Copy an array

## SYNOPSIS

dip_Error dip_IntegerArrayCopy ( dest, src, resources )

## FUNCTION

This function copies the integer array `src` to `dest`. The array `dest` is created by this function as well.

## ARGUMENTS

Data type | Name | Description
`dip_IntegerArray *` | `dest` | Destination array
`dip_IntegerArray` | `src` | Source array
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`IntegerArrayNew`, `IntegerArrayFree`, `IntegerArrayCopy`, `IntegerArrayFind`

`IntegerArrayCopy`, `FloatArrayCopy`, `ComplexArrayCopy`, `DataTypeArrayCopy`, `BooleanArrayCopy`, `VoidPointerArrayCopy`, `StringArrayCopy`